import React from "react";

export default function SocialSignup() {
    const handleSocialSignup = (provider) => {
        window.location.href = `/auth/${provider}`;
    };

    return (
        <div className="flex w-full flex-col items-center space-y-4">
            <button
                onClick={() => handleSocialSignup("google")}
                className="w-full bg-red-500 text-white font-semibold py-2 px-4 rounded-md shadow hover:bg-red-600 transition duration-200"
            >
                <div className="flex items-center justify-center">
                    <img
                        src="https://www.svgrepo.com/show/355037/google.svg"
                        alt="Google"
                        className="w-5 h-5 mr-2"
                    />
                    Signup with Google
                </div>
            </button>

            <button
                onClick={() => handleSocialSignup("facebook")}
                className="w-full bg-blue-600 text-white font-semibold py-2 px-4 rounded-md shadow hover:bg-blue-700 transition duration-200"
            >
                <div className="flex items-center justify-center">
                    {/* <img
                        src="https://www.svgrepo.com/show/157806/facebook.svg"
                        alt=""
                        className="w-5 h-5 mr-2"
                    /> */}
                    <svg
                        className="w-5 h-5 mr-2"
                        fill="#ffffff"
                        version="1.1"
                        xmlns="http://www.w3.org/2000/svg"
                        xmlns:xlink="http://www.w3.org/1999/xlink"
                        viewBox="0 0 512 512"
                        xml:space="preserve"
                        stroke="#ffffff"
                    >
                        <g id="SVGRepo_bgCarrier" stroke-width="0"></g>
                        <g
                            id="SVGRepo_tracerCarrier"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                        ></g>
                        <g id="SVGRepo_iconCarrier">
                            {" "}
                            <g id="7935ec95c421cee6d86eb22ecd11b7e3">
                                {" "}
                                <path d="M283.122,122.174c0,5.24,0,22.319,0,46.583h83.424l-9.045,74.367h-74.379 c0,114.688,0,268.375,0,268.375h-98.726c0,0,0-151.653,0-268.375h-51.443v-74.367h51.443c0-29.492,0-50.463,0-56.302 c0-27.82-2.096-41.02,9.725-62.578C205.948,28.32,239.308-0.174,297.007,0.512c57.713,0.711,82.04,6.263,82.04,6.263 l-12.501,79.257c0,0-36.853-9.731-54.942-6.263C293.539,83.238,283.122,94.366,283.122,122.174z">
                                    {" "}
                                </path>{" "}
                            </g>{" "}
                        </g>
                    </svg>
                    Signup with Facebook
                </div>
            </button>
        </div>
    );
}
